gnutls_openpgp_privkey_sign_hash(3)

NAME
gnutls_openpgp_privkey_sign_hash - sign the given data using the private key params

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_privkey_sign_hash(gnutls_openpgp_privkey_t key, const gnutls_datum_t * hash, gnutls_datum_t * signature);

ARGUMENTS

gnutls_openpgp_privkey_t key
    Holds the key

const gnutls_datum_t * hash
    holds the data to be signed

gnutls_datum_t * signature
    will contain newly allocated signature

DESCRIPTION
This function will sign the given hash using the private key. You should use gnutls_openpgp_privkey_set_subkey() before calling this function to set the subkey to use.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.